/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/scripting/scriptingenginestate.cpp

*/

#include "sgx/scripting/scriptingengine.hpp"

CScriptState::CScriptState(CScriptingEngine *pEng)
{
	m_pEngine = pEng;
}

CScriptState::~CScriptState()
{
}

tBOOL CScriptState::process(const sgxString &filename)
{
	return FALSE;
}

tBOOL CScriptState::reset()
{
	return FALSE;
}

tBOOL CScriptState::run()
{
	return FALSE;
}

tBOOL CScriptState::step()
{
	return FALSE;
}

tBOOL CScriptState::evaluate(const sgxString &code)
{
	return FALSE;
}

tBOOL	CScriptState::openLibrary(const sgxString &libname)
{
	return m_pEngine->openLibrary(this, libname);
}

tBOOL	CScriptState::openStandardLibraries()
{
	return m_pEngine->openStandardLibraries(this);
}


